package game;

import sk.thenet.gamestd.bmp.*;

class EEBulletBounce extends Entity {
	public var phase:Int = 0;
	
	public function new(nx:Int, ny:Int, nlvl:Level, nphsx:Physics){
		pe = new PhysicsEntity(nx, ny);
		pe.type = PhysicsEntity.PET_BULLET;
		super(Entity.ET_BULLET, nlvl, nphsx);
		pe.yv = -2;
	}
	
	override public function render(bd:BitmapData, camxi:Int, camyi:Int):Void {
		bd.copyPixels(Assets.aEnemies, pe.xp - 4 - camxi, pe.yp - 4 - camyi, (phase % 2 == 0 ? 8 : 0) + 80, 32, 8, 8);
	}
	
	override public function tick():Void {
		if (lvl.man.pe.xp >= pe.xp - 6 && lvl.man.pe.xp < pe.xp + 6 && lvl.man.pe.yp >= pe.yp - 6 && lvl.man.pe.yp < pe.yp + 6){
			lvl.man.hit();
			pe.remove = true;
			remove = true;
			return;
		}
		pe.xv = -2;
		if (pe.coly1){
			pe.yv = -pe.yv;
		}
		pe.yv += (phase % 4 == 0 ? 1 : 0);
		phase++;
		if (phase > 80){
			pe.remove = true;
			remove = true;
		}
	}
}