package game;

class PhysicsEntity {
	public static inline var PET_NONE:Int = 0;
	public static inline var PET_MAN:Int = 1;
	public static inline var PET_MOB_SMALL:Int = 2;
	public static inline var PET_BULLET:Int = 3;
	public static inline var PET_PICKUP:Int = 4;
	
	public var type:Int = 0;
	public var remove:Bool = false;
	
	// position
	public var xp:Int;
	public var yp:Int;
	public var xpf:Float;
	public var ypf:Float;
	
	// velocity
	public var xv:Int;
	public var yv:Int;
	public var xvf:Float;
	public var yvf:Float;
	
	// last collision
	public var colx1:Bool;
	public var colx2:Bool;
	public var coly1:Bool;
	public var coly2:Bool;
	
	public function new(nxp:Int, nyp:Int){
		xp = nxp;
		yp = nyp;
		xpf = 0;
		ypf = 0;
		xv = 0;
		yv = 0;
		xvf = 0;
		yvf = 0;
		colx1 = false;
		colx2 = false;
		coly1 = false;
		coly2 = false;
	}
}